terraform {
  required_providers {
    minio = {
      source  = "aminueza/minio"
      version = ">= 1.0.0"
    }
  }
  backend "s3" {
    bucket                      = "vault-state"
    key                         = "terraform.tfstate"
    region                      = "eu-west-1"
    endpoint                    = "api-minio.front.kjuulh.io"
    skip_credentials_validation = true
    #skip_metadata_api_check     = true
    force_path_style = true
  }
  required_version = ">= 0.13"
}

provider "minio" {
  minio_server   = var.minio_server
  minio_region   = var.minio_region
  minio_user     = var.minio_user
  minio_password = var.minio_password
}
